<?php

namespace Drupal\global_logout\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Global Logout settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'global_logout_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['global_logout.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['menuname'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Menu name'),
      '#default_value' => $this->config('global_logout.settings')->get('menuname'),
    ];
    $form['timeformat'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Time format'),
      '#default_value' => $this->config('global_logout.settings')->get('timeformat'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('global_logout.settings')
      ->set('menuname', $form_state->getValue('menuname'))
      ->set('timeformat', $form_state->getValue('timeformat'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
